var search_data = {"index":{"searchIndex":["gl","registry","argument","enum","extension","feature","featuregroup","featureprovider","function","group","nativetype","token","words","spec","api_names()","bitmask?()","const?()","download()","each_enum()","each_extension()","each_feature()","each_function()","each_group()","enums()","enums()","functions()","items()","load()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","new()","out?()","outdated?()","parse()","parse_prototype()","pointer?()","profiles()","to_i()","to_s()","to_s()","to_s()","types()","used_groups()"],"longSearchIndex":["gl","gl::registry","gl::registry::argument","gl::registry::enum","gl::registry::extension","gl::registry::feature","gl::registry::featuregroup","gl::registry::featureprovider","gl::registry::function","gl::registry::group","gl::registry::nativetype","gl::registry::token","gl::registry::words","gl::spec","gl::registry#api_names()","gl::registry::group#bitmask?()","gl::registry::nativetype#const?()","gl::registry::download()","gl::registry#each_enum()","gl::registry#each_extension()","gl::registry#each_feature()","gl::registry#each_function()","gl::registry#each_group()","gl::registry#enums()","gl::spec#enums()","gl::spec#functions()","gl::spec#items()","gl::registry::load()","gl::registry::new()","gl::registry::argument::new()","gl::registry::enum::new()","gl::registry::extension::new()","gl::registry::feature::new()","gl::registry::featuregroup::new()","gl::registry::featureprovider::new()","gl::registry::function::new()","gl::registry::group::new()","gl::registry::nativetype::new()","gl::registry::token::new()","gl::spec::new()","gl::registry::nativetype#out?()","gl::registry::outdated?()","gl::registry::parse()","gl::registry::function#parse_prototype()","gl::registry::nativetype#pointer?()","gl::registry#profiles()","gl::registry::enum#to_i()","gl::registry::nativetype#to_s()","gl::registry::token#to_s()","gl::spec#to_s()","gl::spec#types()","gl::spec#used_groups()"],"info":[["GL","","GL.html","","<p>Top-level namespace.\n<p>@author Eric “ForeverZer0” Freed\n"],["GL::Registry","","GL/Registry.html","","<p>Container for all definitions of the OpenGL registry.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-comment\"># Check if registry XML file is up to data ...</span>\n</pre>\n"],["GL::Registry::Argument","","GL/Registry/Argument.html","","<p>Describes an individual argument of an OpenGL function.\n"],["GL::Registry::Enum","","GL/Registry/Enum.html","","<p>Describes an OpenGL enumeration (constant) value.\n"],["GL::Registry::Extension","","GL/Registry/Extension.html","","<p>Describes an OpenGL extension.\n"],["GL::Registry::Feature","","GL/Registry/Feature.html","","<p>Describes a single definition of a item to add/remove from an OpenGL API.\n<p>@note This is a reference for …\n"],["GL::Registry::FeatureGroup","","GL/Registry/FeatureGroup.html","","<p>Describes a logical grouping of features for an OpenGL API.\n"],["GL::Registry::FeatureProvider","","GL/Registry/FeatureProvider.html","","<p>@abstract Base class for objects that add definitions to the API.\n"],["GL::Registry::Function","","GL/Registry/Function.html","","<p>Describes an OpenGL function.\n"],["GL::Registry::Group","","GL/Registry/Group.html","","<p>Describes a logical grouping of enumerated values.\n"],["GL::Registry::NativeType","","GL/Registry/NativeType.html","","<p>Describes the native type for a return or parameter value.\n"],["GL::Registry::Token","","GL/Registry/Token.html","","<p>@abstract Base class for OpenGL registry defined items.\n"],["GL::Registry::Words","","GL/Registry/Words.html","","<p>Strongly-typed values for common XML element/attribute names.\n"],["GL::Spec","","GL/Spec.html","","<p>Describes a specific subset of the OpenGL registry, targeting an API, version, profile, etc.\n<p>Automatically …\n"],["api_names","GL::Registry","GL/Registry.html#method-i-api_names","()","<p>@return [Array&lt;Symbol&gt;] an array of Symbol objects that represent each defined API in the registry. …\n"],["bitmask?","GL::Registry::Group","GL/Registry/Group.html#method-i-bitmask-3F","()","<p>@return [Boolean] `true` if group members are flags that can be bitwise OR&#39;ed together, otherwise …\n"],["const?","GL::Registry::NativeType","GL/Registry/NativeType.html#method-i-const-3F","()","<p>@return [Boolean] `true` if value is a C-style pointer that can not be modified, otherwise `false`.\n"],["download","GL::Registry","GL/Registry.html#method-c-download","(path)","<p>Download the latest version of the OpenGL registry to the specified file.\n<p>@param path [String] The path …\n"],["each_enum","GL::Registry","GL/Registry.html#method-i-each_enum","()","<p>Enumerates through each enum defined in the registry.\n<p>@overload each_enum\n\n<pre>When called without a block, ...</pre>\n"],["each_extension","GL::Registry","GL/Registry.html#method-i-each_extension","()","<p>Enumerates through each extension defined in the registry.\n<p>@overload each_enum\n\n<pre>When called without a block, ...</pre>\n"],["each_feature","GL::Registry","GL/Registry.html#method-i-each_feature","()","<p>Enumerates through each feature group defined in the registry.\n<p>@overload each_feature\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">When</span> <span class=\"ruby-identifier\">called</span> <span class=\"ruby-identifier\">without</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["each_function","GL::Registry","GL/Registry.html#method-i-each_function","()","<p>Enumerates through each function defined in the registry.\n<p>@overload each_function\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">When</span> <span class=\"ruby-identifier\">called</span> <span class=\"ruby-identifier\">without</span> <span class=\"ruby-identifier\">a</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["each_group","GL::Registry","GL/Registry.html#method-i-each_group","()","<p>Enumerates through each group defined in the registry.\n<p>@overload each_group\n\n<pre>When called without a block, ...</pre>\n"],["enums","GL::Registry","GL/Registry.html#method-i-enums","()",""],["enums","GL::Spec","GL/Spec.html#method-i-enums","()","<p>Retrieves a complete list of all OpenGL enumeration values that this specification defines.\n<p>@return [Array&lt;Registry::Enum&gt;] …\n"],["functions","GL::Spec","GL/Spec.html#method-i-functions","()","<p>Retrieves a complete list of all OpenGL functions that this specification defines.\n<p>@return [Array&lt;Registry::Function&gt;] …\n"],["items","GL::Spec","GL/Spec.html#method-i-items","(type, definitions)",""],["load","GL::Registry","GL/Registry.html#method-c-load","(path)","<p>Creates a new {Registry} from the specified XML file.\n<p>@param path [String] The path to the registry file. …\n"],["new","GL::Registry","GL/Registry.html#method-c-new","(root)",""],["new","GL::Registry::Argument","GL/Registry/Argument.html#method-c-new","(node)","<p>Creates a new instance of the {Argument} class.\n<p>@param node [Ox::Element] The XML element defining the …\n"],["new","GL::Registry::Enum","GL/Registry/Enum.html#method-c-new","(node)","<p>Creates a new instance of the {Enum} class.\n<p>@param node [Ox::Element] The XML element defining the instance. …\n"],["new","GL::Registry::Extension","GL/Registry/Extension.html#method-c-new","(node)","<p>Creates a new instance of the {Extension} class.\n<p>@param node [Ox::Element] The XML element defining the …\n"],["new","GL::Registry::Feature","GL/Registry/Feature.html#method-c-new","(node, api, profile)","<p>Creates a new instance of the {Feature} class.\n<p>@param node [Ox::Element] The XML element defining the …\n"],["new","GL::Registry::FeatureGroup","GL/Registry/FeatureGroup.html#method-c-new","(node)","<p>Creates a new instance of the {Feature} class.\n<p>@param node [Ox::Element] The XML element defining the …\n"],["new","GL::Registry::FeatureProvider","GL/Registry/FeatureProvider.html#method-c-new","(node)","<p>Creates a new instance of the {FeatureProvider} class.\n<p>@param node [Ox::Element] The XML element defining …\n"],["new","GL::Registry::Function","GL/Registry/Function.html#method-c-new","(node)","<p>Creates a new instance of the {Function} class.\n<p>@param node [Ox::Element] The XML element defining the …\n"],["new","GL::Registry::Group","GL/Registry/Group.html#method-c-new","(node)","<p>Creates a new instance of the {Group} class.\n<p>@param node [Ox::Element] The XML element defining the instance. …\n"],["new","GL::Registry::NativeType","GL/Registry/NativeType.html#method-c-new","(type, base, group)","<p>Creates a new instance fo the {NativeType} class.\n<p>@param type [String] The full native type, including …\n"],["new","GL::Registry::Token","GL/Registry/Token.html#method-c-new","(node)","<p>Creates a new instance of the {Token} class.\n<p>@param node [Ox::Element] The XML element defining the instance. …\n"],["new","GL::Spec","GL/Spec.html#method-c-new","(registry, api, version, profile, *extensions)","<p>Creates a new instance of the {Spec} class.\n<p>@param registry [Registry] An registry instance to use for …\n"],["out?","GL::Registry::NativeType","GL/Registry/NativeType.html#method-i-out-3F","()","<p>@return [Boolean] `true` if value is a C-style pointer that may be modified, otherwise `false`.\n"],["outdated?","GL::Registry","GL/Registry.html#method-c-outdated-3F","(path)","<p>Compares the registry at the specified path to the current registry version and returns value indicating …\n"],["parse","GL::Registry","GL/Registry.html#method-c-parse","(xml)","<p>Creates a new {Registry} from the specified XML string.\n<p>@param xml [String] The OpenGL registry as an …\n"],["parse_prototype","GL::Registry::Function","GL/Registry/Function.html#method-i-parse_prototype","(node)",""],["pointer?","GL::Registry::NativeType","GL/Registry/NativeType.html#method-i-pointer-3F","()","<p>@return [Boolean] `true` if this a C-style pointer type, otherwise `false`.\n"],["profiles","GL::Registry","GL/Registry.html#method-i-profiles","(api = nil, version = '1.0')","<p>Retrieves an array of profiles defined in the registry.\n<p>@overload profiles\n<p>@overload profiles(api)\n"],["to_i","GL::Registry::Enum","GL/Registry/Enum.html#method-i-to_i","()","<p>@return [Integer] the enumeration&#39;s value, as an integer.\n"],["to_s","GL::Registry::NativeType","GL/Registry/NativeType.html#method-i-to_s","()","<p>@return [String] the string representation of this object.\n"],["to_s","GL::Registry::Token","GL/Registry/Token.html#method-i-to_s","()","<p>@return [String] the string representation of this object.\n"],["to_s","GL::Spec","GL/Spec.html#method-i-to_s","()","<p>@return [String] the string representation of this object.\n"],["types","GL::Spec","GL/Spec.html#method-i-types","(groups = false)","<p>Retrieves a complete list of all OpenGL types that this specification must have defined. Any type not …\n"],["used_groups","GL::Spec","GL/Spec.html#method-i-used_groups","()","<p>Retrieves a complete list of all OpenGL group names that this specification uses.\n<p>@return [Array&lt;String&gt;] …\n"]]}}